# MasshtabDevTools

Tools for specific company tasks.

## Installation

Add this line to your application's Gemfile:

    gem 'masshtab_dev_tools', group: :development

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install masshtab_dev_tools

## Usage

### Deployment tool

From project folder:

    rails generate masshtab:deploy USER_NAME SERVER_NAME [options]

    Options:
      [--repository=REPOSITORY]              # Full address of the git repository. If empty server name and application name will be used
      [--branch=BRANCH]                      # Branch name to deploy from
                                             # Default: master
      [--application-name=APPLICATION_NAME]  # Name of rails application

    Runtime options:
      -f, [--force]    # Overwrite files that already exist
      -p, [--pretend]  # Run but do not make any changes
      -q, [--quiet]    # Suppress status output
      -s, [--skip]     # Skip files that already exist

    For example:
      rails g masshtab:deploy alex example.com

### Database configuration

    rails generate masshtab:database [options]

    Options:
      [--application-name=APPLICATION_NAME]  # Rails application name

    Runtime options:
      -f, [--force]    # Overwrite files that already exist
      -p, [--pretend]  # Run but do not make any changes
      -q, [--quiet]    # Suppress status output
      -s, [--skip]     # Skip files that already exist

    Generates database.yml configured on mysql2 for OS X and linux

## Contributing

1. Fork it
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create new Pull Request
