# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'masshtab_dev_tools/version'

Gem::Specification.new do |spec|
  spec.name          = "masshtab_dev_tools"
  spec.version       = MasshtabDevTools::VERSION
  spec.authors       = ["Sergey Kucher"]
  spec.email         = ["s.e.kucher@gmail.com"]
  spec.description   = 'Tools for specific company tasks'
  spec.summary       = <<-SUMM
- rails deployment generator
- database configuration generator
SUMM
  spec.homepage      = "https://github.com/sergey-kucher/masshtab_dev_tools"
  spec.license       = "MIT"

  spec.files         = `git ls-files`.split($/)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_dependency "rails", "~> 3.2.1"

  spec.add_development_dependency "bundler", "~> 1.3"
  spec.add_development_dependency "rake"
end
